%define cvs rc1


Summary: The Open Vulnerability Assessment (OpenVAS) suite
Name:    openvas
Version: 1.0
Release: 8%{?dist}
Source0: %{name}-setup
Source1: http://svn.wald.intevation.org/svn/openvas/trunk/tools/openvas-check-setup
Source2: openvas-scap-sync-cronjob
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

#Requires(post): chkconfig
#Requires(preun): chkconfig
#Requires(preun): initscripts

Requires: openvas-scanner
Requires: openvas-administrator
Requires: openvas-cli
Requires: openvas-manager
Requires: gsd
Requires: w3af
Requires: greenbone-security-assistant
Requires: dirb

# Support packages:
Requires: nmap
Requires: wmi
# Cannot build on el6 at this time
#Requires: ovaldi
Requires: nikto
Requires: ncrack
Requires: wapiti

 
%description
openvas is a meta-package encompassing all of the components from OpenVAS.

%prep

%build

%install
mkdir -p %{buildroot}/usr/bin/
install -m0700 %{SOURCE0} %{buildroot}/usr/bin/openvas-setup
install -m0700 %{SOURCE1} %{buildroot}/usr/bin/openvas-check-setup
install -Dp -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/cron.d/openvas-sync-scap



%post 
if [ $1 = 1 ]; then
  /sbin/chkconfig --add openvas-scanner
  /sbin/chkconfig --add openvas-manager
  /sbin/chkconfig --add openvas-administrator
  /sbin/chkconfig --add gsad


  # first time install, this will force the plugin update when the openvas-scanner daemon is started
  # set auto_plugin_update=yes
  /usr/bin/perl -p -i -e 's[^auto_plugin_update.*][auto_plugin_update=yes]g' /etc/sysconfig/openvas-scanner

  # start gsad
  /sbin/service gsad start
  
fi

%preun


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/openvas-setup
/usr/bin/openvas-check-setup
/etc/cron.d/openvas-sync-scap

%changelog
* Sat Mar 09 2013 josef radinger <cheese@nosuchhost.net> - 1.0-8
- rebuild 
- remove prefix-define

* Sat Feb 13 2013 Scott R. Shinn <scott@atomicorp.com> - 1.0-6
- Add dirb dependency
- Update openvas-setup to return output on the lengthy nvt update

* Wed Jan 16 2013 Scott R. Shinn <scott@atomicorp.com> - 1.0-5
- Exit 1 if download fails on either NVT or SCAP data during setup

* Fri Nov 23 2012 Scott R. Shinn <scott@atomicorp.com> - 1.0-3
- Disable output suppression in openvas-scapdata cron by request (Devin Walsh)

* Thu Jun 21 2012 Scott R. Shinn <scott@atomicorp.com> - 1.0-2
- Add openvas-sync-scap routine to setup
- Add openvas-sync-scap cron job

* Wed Jun 6 2012 Scott R. Shinn <scott@atomicorp.com> - 1.0-1
- Add wapiti dependency 
- Update openvas-check-setup
- Add administrator password validation dialog to setup
- Fixes for openvasmd db creation


* Tue Mar 20 2012 Scott R. Shinn <scott@atomicorp.com> - 1.0-0.8
- Bugfix for initializing the openvas manager database correctly. Routine duplicated from openvas-manager package
- Add startup routine for openvas-administrator 

* Thu Feb 17 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-0.2
- Dropped requires on openvas-administrator
